# RIPQUERY (8) Release 3.5

## NAME

ripquery - query RIP gateways

## SYNOPSIS

ripquery [ -1 ] [ -2 ] [ -[a5] authkey ] [ -n ] [ -N dest[/mask] [ -p ] [ -r ] [ -v ] [ -w time ] gateway ...

## DESCRIPTION

Ripquery is used to request all routes known by a RIP gateway by sending a RIP request or POLL command. The routing information in any routing packets returned is displayed numerically and symbolically. Ripquery is intended to be used as a tool for debugging gateways, not for network management. SNMP is the preferred protocol for network management.

Ripquery by default uses the RIP POLL command, which is an undocumented extension to the RIP specification supported by routed on SunOS 3.x and later and by gated 1.4 and later. The RIP POLL command is preferred over the RIP REQUEST command because it is not subject to Split Horizon and/or Poisoned Reverse. See the RIP RFC for more information.

## OPTIONS

-1
  Send the query as a version 1 packet.
-2
  Send the query as a version 2 packet (default).
-[a5] authkey
  Specifies the authentication password to use for queries. If `-a` specified, an authentication type of SIMPLE will be used, if `-5` is specified, an authentication type of MD5 will be used, otherwise the default is an authentication type of NONE. Authentication fields in incoming packets will be displayed, but not validated.
-n
  Prevents the address of the responding host from being looked up to determine the symbolic name.
-N dest[/mask]
  Specifies that the query should be for the specified dest/mask instead of complete routing table. The specification of the optional mask implies a version 2 query. Up to 23 requests about specific destinations may be include in one packet.
-p
  Uses the RIP POLL command to request information from the routing table. This is the default, but is an undocumented extension supported only by some versions of SunOS 3.x and later versions of gated. If there is no response to the RIP POLL command, the RIP REQUEST command is tried. Gated responds to a POLL command with all the routes learned via RIP.
-r
  Used the RIP REQUEST command to request information from the gateway's routing table. Unlike the RIP POLL command, all gateways should support the RIP REQUEST. If there is no response to the RIP REQUEST command, the RIP POLL command is tried. Gated responds to a REQUEST command with all the routes he anounces out the specified interface. Due to limitations in the UDP interface, on systems based on BSD 4.3 Reno or earlier, REQUESTs respond about the interface used to route packets back to the sender. This can be avoided by running ripquery on the host being queried.
-v
  Version information about ripquery is displayed before querying the gateways.
-w time
  Specifies the time in seconds to wait for the initial response from a gateway. The default value is 5 seconds.

## AUTHORS

## SEE ALSO

gated (8), gdc (8), ospf_monitor (8), routed (8),
GateD Documentation
GateD Configuration Guide

## BUGS

Some versions of Unix do not allow looking up the symbolic name of a subnet.

## COPYRIGHT INFORMATION

Copyright (c) 1996, 1997 The Regents of the University of Michigan All Rights Reserved License to use, copy, modify, and distribute this software and its documentation can be obtained from Merit at the University of Michigan. This package and associated documentation is Copyright (c) 1990,1991,1992,1993,1994,1995 Cornell University., all rights reserved. This software contains code that is Copyright (c) 1988 Regents of the University of California., all rights reserved.;